/* Version 1.0 */

/*
  This is a replacement for the do_equip() command.
  It uses lopes colour code and also breaks it down to use simple
  enumerations for where to place it.  Easier to rearrange where you
  wish to place items.

  This uses printf_to_char() another snippet found somewhere...  It is
  included in another one of my snippets.

  This is currently in an order I think is logical.  It is a top down
  approach to the character.
  
  It is free.. use it, modify it.  You can give me some credit if you
  wish.  I have a Help snippet on my MUD that lists all the snippets
  authors and what they wrote or helped write.  I suggest you do the
  same.  It makes the users see how much the ROM community
  contributes to your mud.

  Copyright 1998 (c) The Mage and Mage Productions.
  lordmage.erols.com port 4000
  lordmage@erols.com

*/

#if defined(macintosh)
#include <types.h>
#else
#include <sys/types.h>
#endif
#include <stdio.h>
#include <string.h>
#include <time.h>
#include "merc.h"
#include "tables.h"



char *eq_worn(CHAR_DATA *ch, int iWear)
{
  OBJ_DATA *obj;

  if ((obj = get_eq_char(ch,iWear)) != NULL){
  
    if ( can_see_obj( ch, obj ) )
      {
	return(format_obj_to_char(obj, ch, TRUE));
      }
    else
      {
	return( "Something");
      }
  }
  return("");
}

void do_new_equipment( CHAR_DATA *ch, char *argument )
{
  send_to_char("\n{CYou are Currently Wearing the following Eq:{x\n\r",ch);
  printf_to_char(ch,"{CF{Wloatin{Cg {g:{x%-40s\n",eq_worn(ch,WEAR_FLOAT));
  printf_to_char(ch,"{CL{Wigh{Ct    {g:{x%-40s\n",eq_worn(ch,WEAR_LIGHT));
  printf_to_char(ch,"{CH{Wea{Cd     {g:{x%-40s\n",eq_worn(ch,WEAR_HEAD));
  printf_to_char(ch,"{CN{Wec{Ck     {g:{x%-40s\n{CN{Wec{Ck     {g:{x",eq_worn(ch,WEAR_NECK_1));
  printf_to_char(ch,"%-40s\n",eq_worn(ch,WEAR_NECK_2));
  printf_to_char(ch,"{CB{Wod{Cy     {g:{x%-40s\n",eq_worn(ch,WEAR_BODY));
  printf_to_char(ch,"{CT{Wors{Co    {g:{x%-40s\n",eq_worn(ch,WEAR_ABOUT));
  printf_to_char(ch,"{CA{Wrm{Cs     {g:{x%-40s\n",eq_worn(ch,WEAR_ARMS));
  printf_to_char(ch,"{CH{Wand{Cs    {g:{x%-40s\n",eq_worn(ch,WEAR_HANDS));
  printf_to_char(ch,"{CW{Wris{Ct    {g:{x%-40s\n{CW{Wris{Ct    {g:{x",eq_worn(ch,WEAR_WRIST_L));
  printf_to_char(ch,"%-40s\n",eq_worn(ch,WEAR_WRIST_R));
  printf_to_char(ch,"{CF{Winge{Cr   {g:{x%-40s\n{CF{Winge{Cr   {g:{x",eq_worn(ch,WEAR_FINGER_L));
  printf_to_char(ch,"%-40s\n",eq_worn(ch,WEAR_FINGER_R));
  printf_to_char(ch,"{CW{Wais{Ct    {g:{x%-40s\n",eq_worn(ch,WEAR_WAIST));
  printf_to_char(ch,"{CP{Wrimar{Cy  {g:{x%-40s\n{CS{Wecondar{Cy{g:{x",eq_worn(ch,WEAR_WIELD));
  printf_to_char(ch,"%-40s\n",eq_worn(ch,WEAR_SECONDARY));
  printf_to_char(ch,"{CS{Whiel{Cd   {g:{x%-40s\n{CH{Wel{Cd     {g:{x",eq_worn(ch,WEAR_SHIELD));
  printf_to_char(ch,"%-40s\n",eq_worn(ch,WEAR_HOLD));
  printf_to_char(ch,"{CL{Weg{Cs     {g:{x%-40s\n",eq_worn(ch,WEAR_LEGS));
  printf_to_char(ch,"{CF{Wee{Ct     {g:{x%-40s\n",eq_worn(ch,WEAR_FEET));
  return;
}

